## NAME

i.ortho.init - Interactively creates or modifies entries in a camera initial exposure station file for imagery group referenced by a sub-block.

## KEYWORDS

imagery, orthorectify

## SYNOPSIS

i.ortho.init
i.ortho.init --help
i.ortho.init [-rp] group=name [xc=float] [yc=float] [zc=float] [xc_sd=float] [yc_sd=float] [zc_sd=float] [omega=float] [phi=float] [kappa=float] [omega_sd=float] [phi_sd=float] [kappa_sd=float] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-r
  Use initial values at run time
-p
  Print initial values
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

group=name [required]
  Name of imagery group for ortho-rectification
xc=float
  Initial Camera Exposure X-coordinate
yc=float
  Initial Camera Exposure Y-coordinate
zc=float
  Initial Camera Exposure Z-coordinate
xc_sd=float
  Apriori X-coordinate standard deviation
yc_sd=float
  Apriori Y-coordinate standard deviation
zc_sd=float
  Apriori Z-coordinate standard deviation
omega=float
  Initial Camera Omega (roll) degrees
phi=float
  Initial Camera Phi (pitch) degrees
kappa=float
  Initial Camera Kappa (yaw) degrees
omega_sd=float
  Apriori Omega (roll) standard deviation
phi_sd=float
  Apriori Phi (pitch) standard deviation
kappa_sd=float
  Apriori Kappa (yaw) standard deviation

## DESCRIPTION

Aerial photographs may be either vertical or oblique. Vertical photographs can be truly vertical (nadir), or slightly tilted (less than 3 degree from the vertical). Usually aerial photos are tilted to some degree. We refer to the term vertical photograph up to a tilt of 3 degree.
Oblique aerial photographs are purposely taken with an angle between 3 and 90 degree from the nadir direction.

The use of i.ortho.init (menu 6) is only required when rectifying a tilted or oblique aerial photo.

i.ortho.init creates or modifies entries in a camera initial exposure station file for imagery group referenced by a sub-block. These entries include: the (XC,YC,ZC) standard (e.g. UTM) approximate coordinates of the camera exposure station; initial roll, pitch, and yaw angles (in degrees) of the cameras attitude; and the a priori standard deviations for these parameters. During the imagery program, i.photo.rectify, the initial camera exposure station file is used for computation of the ortho-rectification parameters. If no initial camera exposure station file exist, the default values are computed from the control points file created in i.photo.2target.

The following menu is displayed:

            Please provide the following information

    	INITIAL XC: Meters                __________
    	INITIAL YC: Meters                __________
    	INITIAL ZC: Meters                __________
    	INITIAL omega (roll) degrees:     __________
    	INITIAL phi  (pitch) degrees:     __________
    	INITIAL kappa  (yaw) degrees:     __________

    	Standard Deviation XC: Meters     __________
    	Standard Deviation YC: Meters     __________
    	Standard Deviation ZC: Meters     __________
    	Std. Dev. omega (roll) degrees:   __________
    	Std. Dev. phi  (pitch) degrees:   __________
    	Std. Dev. kappa  (yaw) degrees:   __________

            Use these values at run time? (1=yes, 0=no)

         AFTER COMPLETING ALL ANSWERS, HIT <ESC> TO CONTINUE
                      (OR <Ctrl-C> TO CANCEL)

The INITIAL values for (XC,YC,ZC) are expressed in standard (e.g. UTM) coordinates, and represent an approximation for the location of the camera at the time of exposure.

- X: East aircraft position;
- Y: North aircraft position;
- Z: Flight altitude above sea level

The INITIAL values for (omega,phi,kappa) are expressed in degrees, and represent an approximation for the cameras attitude at the time of exposure.

- Omega (roll): Raising or lowering of the wings (turning around the aircraft's axis);
- Phi (pitch): Raising or lowering of the aircraft's front (turning around the wings' axis);
- Kappa (yaw): Rotation needed to align the aerial photo to true north: needs to be denoted as +90 degree for clockwise turn and -90 degree for a counterclockwise turn.

The standard deviations for (XC,YC,ZC) are expressed in meters, and are used as a priori values for the standard deviations used in computation of the ortho rectification parameters.

The standard deviations for (omega,phi,kappa) are expressed in degrees, and are used as a priori values for the standard deviations used in computation of the ortho rectification parameters.

If Use these values at run time? (1=yes, 0=no) is set to 0, the values in this menu are not used.

## SEE ALSO

i.ortho.photo, i.photo.2image, i.photo.2target, i.ortho.elev, i.ortho.camera, i.ortho.transform, i.photo.rectify

## AUTHOR

Mike Baba, DBA Systems, Inc.

Last changed: $Date$

## SOURCE CODE

Available at: i.ortho.init source code (history)

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual